=== debian/changelog ===
ki18n (5.116.0+p24.04+vstable+git20251019.0221-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:21:41 +0000
