## ki18n 5.116.0+p24.04+vstable+git20251123.1057

=== debian/changelog ===
ki18n (5.116.0+p24.04+vstable+git20251123.1057-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 10:57:59 +0000
