## ki18n 5.116.0+p24.04+vstable+git20251220.0058

=== debian/changelog ===
ki18n (5.116.0+p24.04+vstable+git20251220.0058-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 00:58:45 +0000
