## ki18n 5.116.0+p24.04+vstable+git20260122.1234

=== debian/changelog ===
ki18n (5.116.0+p24.04+vstable+git20260122.1234-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 12:34:24 +0000
