## ki18n 5.116.0+p24.04+vunstable+git20251015.0906

=== debian/changelog ===
ki18n (5.116.0+p24.04+vunstable+git20251015.0906-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 09:06:59 +0000
