## ki18n 5.116.0+p24.04+vunstable+git20251020.0129

=== debian/changelog ===
ki18n (5.116.0+p24.04+vunstable+git20251020.0129-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:29:30 +0000
