## ki18n 5.116.0+p24.04+vunstable+git20251220.0109

=== debian/changelog ===
ki18n (5.116.0+p24.04+vunstable+git20251220.0109-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 01:09:34 +0000
