## ki18n 5.116.0+p24.04+vunstable+git20251224.0640

=== debian/changelog ===
ki18n (5.116.0+p24.04+vunstable+git20251224.0640-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 06:41:07 +0000
