=== debian/control ===
Source: ki18n
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen (>= 1.8.13~),
               extra-cmake-modules (>= 5.51.0~),
               gettext,
               graphviz,
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               python3,
               qtbase5-dev (>= 5.8.0~),
               qtbase5-private-dev,
               qtdeclarative5-dev (>= 5.8.0~),
               qtscript5-dev (>= 5.8.0~),
               qttools5-dev-tools (>= 5.4)
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/ki18n
Vcs-Git: https://invent.kde.org/neon/kde/ki18n.git
Vcs-Browser: https://invent.kde.org/neon/kde/ki18n
Maintainer: Neon CI <neon@kde.org>

Package: libkf5i18n-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Advanced internationalization framework.
 Ki18n is the KDE internationalization system for
 user-interface text. It enables localization of
 user-visible strings, including locale-aware argument
 substitution and formatting. Ki18n is built atop the
 widely used Gettext internationalization system, making
 the workflow familiar to both programmers and translators.
 It can be considered a Gettext-wrapper for code based on
 the Qt library, but it also provides additional
 functionality over basic Gettext.
 .
 This package contains the translations.

Package: libkf5i18n-dev
Section: libdevel
Architecture: any
Depends: libkf5i18n5 (= ${binary:Version}),
         libkf5i18nlocaledata5 (= ${binary:Version}),
         python3:any,
         qtscript5-dev (>= 5.8.0~),
         ${misc:Depends}
Recommends: libkf5i18n-doc (= ${source:Version})
Breaks: kross-dev (<< 5.51),
        libkf5configwidgets-dev (<< 5.51),
        libkf5i18n-doc (<< 5.61.90-0),
        libkf5iconthemes-dev (<< 5.51),
        libkf5jsembed-dev (<< 5.51),
        libkf5khtml-dev (<< 5.51),
        libkf5notifyconfig-dev (<< 5.51),
        libkf5pty-dev (<< 5.51),
        libkf5service-dev (<< 5.51),
        libkf5unitconversion-dev (<< 5.51)
Replaces: libkf5i18n-doc (<< 5.61.90-0)
Description: Advanced internationalization framework.
 Ki18n is the KDE internationalization system for
 user-interface text. It enables localization of
 user-visible strings, including locale-aware argument
 substitution and formatting. Ki18n is built atop the
 widely used Gettext internationalization system, making
 the workflow familiar to both programmers and translators.
 It can be considered a Gettext-wrapper for code based on
 the Qt library, but it also provides additional
 functionality over basic Gettext.
 .
 Contains development files for ki18n.

Package: libkf5i18n-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Advanced internationalization framework (documentation)
 Ki18n is the KDE internationalization system for
 user-interface text. It enables localization of
 user-visible strings, including locale-aware argument
 substitution and formatting. Ki18n is built atop the
 widely used Gettext internationalization system, making
 the workflow familiar to both programmers and translators.
 It can be considered a Gettext-wrapper for code based on
 the Qt library, but it also provides additional
 functionality over basic Gettext.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5i18n5
Architecture: any
Multi-Arch: same
Depends: libkf5i18n-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Advanced internationalization framework.
 Ki18n is the KDE internationalization system for
 user-interface text. It enables localization of
 user-visible strings, including locale-aware argument
 substitution and formatting. Ki18n is built atop the
 widely used Gettext internationalization system, making
 the workflow familiar to both programmers and translators.
 It can be considered a Gettext-wrapper for code based on
 the Qt library, but it also provides additional
 functionality over basic Gettext.
Breaks: baloo-kf5 (<< 5.51),
        frameworkintegration (<< 5.51),
        kdesignerplugin (<< 5.42),
        kinit (<< 5.51),
        kio (<< 5.51),
        kpackagelauncherqml (<< 5.51),
        kpackagetool5 (<< 5.51),
        kross (<< 5.51),
        ktexteditor-katepart (<< 5.42),
        libkf5configwidgets5 (<< 5.51),
        libkf5declarative5 (<< 5.51),
        libkf5filemetadata3 (<< 5.51),
        libkf5iconthemes5 (<< 5.51),
        libkf5jsembed-dev (<< 5.51),
        libkf5jsembed5 (<< 5.51),
        libkf5kcmutils5 (<< 5.51),
        libkf5kdelibs4support5 (<< 5.51),
        libkf5kdelibs4support5-bin (<< 5.51),
        libkf5khtml-bin (<< 5.51),
        libkf5khtml5 (<< 5.51),
        libkf5kiocore5 (<< 5.51),
        libkf5kiofilewidgets5 (<< 5.51),
        libkf5kiogui5 (<< 5.51),
        libkf5kiowidgets5 (<< 5.51),
        libkf5krosscore5 (<< 5.51),
        libkf5krossui5 (<< 5.51),
        libkf5mediaplayer5 (<< 5.42),
        libkf5newstuff5 (<< 5.51),
        libkf5newstuffcore5 (<< 5.51),
        libkf5notifyconfig5 (<< 5.51),
        libkf5package5 (<< 5.51),
        libkf5parts-plugins (<< 5.51),
        libkf5parts5 (<< 5.51),
        libkf5people5 (<< 5.51),
        libkf5peoplewidgets5 (<< 5.51),
        libkf5plasma5 (<< 5.51),
        libkf5plasmaquick5 (<< 5.51),
        libkf5pty5 (<< 5.51),
        libkf5purpose-bin (<< 5.51),
        libkf5purpose5 (<< 5.51),
        libkf5quickaddons5 (<< 5.42),
        libkf5runner5 (<< 5.51),
        libkf5service-bin (<< 5.51),
        libkf5service5 (<< 5.51),
        libkf5su-bin (<< 5.51),
        libkf5texteditor5 (<< 5.51),
        libkf5textwidgets5 (<< 5.51),
        libkf5unitconversion5 (<< 5.51),
        libkf5wallet-bin (<< 5.51),
        libkf5webkit5 (<< 5.42),
        libkf5xmlgui-bin (<< 5.51),
        libkf5xmlgui5 (<< 5.51),
        libkf5xmlrpcclient5 (<< 5.51),
        libkwalletbackend5-5 (<< 5.51),
        plasma-framework (<< 5.51),
        qml-module-org-kde-extensionplugin (<< 5.28),
        qml-module-org-kde-kquickcontrols (<< 5.51),
        qml-module-org-kde-runnermodel (<< 5.42)

Package: libkf5i18nlocaledata5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Advanced internationalization framework.
 Ki18n is the KDE internationalization system for
 user-interface text. It enables localization of
 user-visible strings, including locale-aware argument
 substitution and formatting. Ki18n is built atop the
 widely used Gettext internationalization system, making
 the workflow familiar to both programmers and translators.
 It can be considered a Gettext-wrapper for code based on
 the Qt library, but it also provides additional
 functionality over basic Gettext.
 .
 Locale data library.

Package: qml-module-org-kde-i18n-localedata
Architecture: any
Multi-Arch: same
Depends: libkf5i18nlocaledata5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: translation data
 Locale data framework.
 .
 This package contains the QtQuick QML module.
