## ki18n 5.116.0+p24.04+vunstable+git20260123.0205

=== debian/changelog ===
ki18n (5.116.0+p24.04+vunstable+git20260123.0205-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 02:06:09 +0000
